GCLOUD_DNS_RECORD-SETS_LIST(1)

NAME

gcloud dns record-sets list - view the list of record-sets in a managed-zone

SYNOPSIS

gcloud dns record-sets list --zone=ZONE, -z ZONE [--name=NAME] [--type=TYPE] [--filter=EXPRESSION] [--limit=LIMIT] [--page-size=PAGE_SIZE] [--sort-by=[FIELD,...]] [--uri] [GLOBAL-FLAG ...]

DESCRIPTION
This command displays the list of record-sets contained within the specified managed-zone.

REQUIRED FLAGS

    --zone=ZONE, -z ZONE
        Name of the managed-zone whose record-sets you want to manage.

FLAGS

    --name=NAME
        Only list record-sets with this exact domain name.

    --type=TYPE
        Only list records of this type. If present, the --name parameter must also be present.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --page-size=PAGE_SIZE
        Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.

    --sort-by=[FIELD,...]
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --uri
        Print a list of resource URIs instead of the default output.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To see the list of all record-sets in my_zone, run:
    $ gcloud dns record-sets list -z my_zone
To see the list of first 10 record-sets in my_zone, run:
    $ gcloud dns record-sets list -z my_zone --limit=10
To see the list of 'my.zone.com.' record-sets in my_zone, run:
    $ gcloud dns record-sets list -z my_zone --name="my.zone.com."
To see the list of 'my.zone.com.' CNAME record-sets in my_zone, run:
    $ gcloud dns record-sets list -z my_zone --name="my.zone.com." \
        --type="CNAME"